#include<iostream>
using namespace std;
long long n, l, h, sol;
bool b = 1;
int main(){
    scanf("%lld", &n);
    scanf("%lld", &l);
    for(int i = 1; i <= n; i++){
        scanf("%lld", &h);
        if(h <= l){
            b = 0;
            sol = i;
            break;
        }
    }
    if(b == 1)
        sol = -1;
    printf("%lld", sol);
    printf("\n");
    return 0;
}